; phat2 - norecess.condense
    
;
nextPart
	ld hl, parts - 6
	inc hl
	inc hl
	inc hl
	inc hl
	inc hl
	inc hl
	ld ( nextPart + 1 ), hl
	
	ld a, ( hl )	
	cp -1
	jp nz, partFound

	ld hl, parts
	ld ( nextPart + 1 ), hl

partFound
	ld a, ( hl )
	inc hl
	ld d, ( hl )
	ld e, a
	inc hl
	ld a, ( hl )
	inc hl
	push hl
	ld h, ( hl )
	ld l, a
	ld ( partTiming ), hl
	pop hl
	inc hl
	ld a, ( hl )
	ld ( cacheType ), a
	ld hl, ( partTiming )
	ex de, hl
	
	ld a, constInit
	ld ( nextPart_call + 1 ), hl
nextPart_call
    	call 0

	ret
    
; OUT HL = part ptr
getPartPtr
    	ld hl, ( nextPart + 1 )
    	ld a, ( hl )
	inc hl
	ld h, ( hl )
	ld l, a    
    
    	ret

;
updatePart
	ld hl, ( partTiming )
	ld a, h
	cp &ff
	jp z, updatePart_noResetTiming
	dec hl
	ld ( partTiming ), hl
updatePart_noResetTiming
    	call getPartPtr
	ld a, constUpdate
	ld ( updatePart_call + 1 ), hl
updatePart_call
    	call 0
	ld ( updatePart_continue + 1 ), a

	ld hl, ( partTiming )
	ld a, h
	cp &ff
	jp z, updatePart_continue
	or l
	jp z, updatePart_nextPart
	jp partNotEnded
updatePart_continue
	ld a, 0
	or a
	jp z, partNotEnded
updatePart_nextPart
	call nextPart
	call updatePart
partNotEnded
	ret

;
drawPart
    	call getPartPtr
	ld a, constDraw
	ld ( drawPart_call + 1 ), hl
drawPart_call
    	call 0
	ret

;
timing		equ 70
timingcredits	equ 6
timingmsg	equ 7

;
parts
	defw	phat2, timing + 40, cacheTypeDefault
	defw	fou, timing - 40 + 12, cacheTypeDefault
	defw	piliers, timing - 14 + 3, cacheTypeDefault
	defw	transit, -1, cacheTypeDefault
	defw	transit, -1, cacheTypeDefault
	defw	transit, -1, cacheTypeDefault
	defw	transit, -1, cacheTypeDefault
	defw	sallefeu, -1, cacheTypeDefault
	defw	trip, timing - 4 - 2, cacheTypeDefault
	defw	dancing, timing + 2 + 36, cacheTypeDefault
	defw	dancing2, timing + 38, cacheTypeDefault
	defw	cubes, timing + 26, cacheTypeDefault

	defw    credit1, timingcredits+1, cacheTypeBigButSlow
	defw    credit2, timingcredits, cacheTypeBigButSlow
	defw    credit3, timingcredits, cacheTypeBigButSlow
	defw    credit4, timingcredits, cacheTypeBigButSlow
	defw    credit1, timingcredits+1, cacheTypeBigButSlow
	defw    credit2, timingcredits, cacheTypeBigButSlow
	defw    credit3, timingcredits, cacheTypeBigButSlow
	defw    credit4, timingcredits, cacheTypeBigButSlow
	defw    msg1, timingmsg, cacheTypeBigButSlow ; thanks
	defw    msg2, timingmsg, cacheTypeBigButSlow ; for
	defw    msg3, timingmsg, cacheTypeBigButSlow ; watching
	defw    msg1, timingmsg, cacheTypeBigButSlow ; thanks
	defw    msg2, timingmsg, cacheTypeBigButSlow ; for
	defw    msg3, timingmsg, cacheTypeBigButSlow ; watching

	defb 	-1

;
partTiming
	defw 0

;
cacheType
	defb 0
