; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
credit1
    	cp constInit
	jp nz, credit1_test1
	call credit1Init
	ret		
credit1_test1
    	cp constUpdate
	jp nz, credit1_test2
    	call credit1Update
	ret
credit1_test2
    	call credit1Draw
	ret
    
;
credit1Init
    	ld a, 8
	call setVideoIndex	
    	
	xor a
	ld ( credit1ChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
credit1Update
    	call updateFrameIndex
    	ret    
    
;
credit1Draw    	
    	
credit1ChangePalette
	ld a, 0
	or a
	jp z, credit1SkipSetPalette
	ld hl, credit1Palette
	call setColorTable
credit1SkipSetPalette
	ld a, 1
	ld ( credit1ChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
	
	ret

;
credit1Palette
	defb creditColor0
	defb creditColor1
	defb creditColor2
	defb creditColor3
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0