; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
credit2
    	cp constInit
	jp nz, credit2_test1
	call credit2Init
	ret		
credit2_test1
    	cp constUpdate
	jp nz, credit2_test2
    	call credit2Update
	ret
credit2_test2
    	call credit2Draw
	ret
    
;
credit2Init
    	ld a, 9
	call setVideoIndex	
    	
	xor a
	ld ( credit2ChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
credit2Update
    	call updateFrameIndex
    	ret    
    
;
credit2Draw    	
    	
credit2ChangePalette
	ld a, 0
	or a
	jp z, credit2SkipSetPalette
	ld hl, credit2Palette
	call setColorTable
credit2SkipSetPalette
	ld a, 1
	ld ( credit2ChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
	
	ret

;
credit2Palette
	defb creditColor0_2
	defb creditColor1_2
	defb creditColor2_2
	defb creditColor3_2
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0