; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
credit4
    	cp constInit
	jp nz, credit4_test1
	call credit4Init
	ret		
credit4_test1
    	cp constUpdate
	jp nz, credit4_test2
    	call credit4Update
	ret
credit4_test2
    	call credit4Draw
	ret
    
;
credit4Init
    	ld a, 11
	call setVideoIndex	
    	
	xor a
	ld ( credit4ChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
credit4Update
    	call updateFrameIndex
    	ret    
    
;
credit4Draw    	
    	
credit4ChangePalette
	ld a, 0
	or a
	jp z, credit4SkipSetPalette
	ld hl, credit4Palette
	call setColorTable
credit4SkipSetPalette
	ld a, 1
	ld ( credit4ChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
	
	ret

;
credit4Palette	
	defb creditColor0_2
	defb creditColor1_2
	defb creditColor2_2
	defb creditColor3_2
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0