; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
cubes
    	cp constInit
	jp nz, cubes_test1
	call cubesInit
	ret		
cubes_test1
    	cp constUpdate
	jp nz, cubes_test2
    	call cubesUpdate
	ret
cubes_test2
    	call cubesDraw
	ret
    
;
cubesInit
    	ld a, 2
	call setVideoIndex	
    	
	xor a
	ld ( cubesChangePalette + 1 ), a

	ret
        
; OUT a <> 0 part is ended
cubesUpdate
    	call updateFrameIndex
    	ret    
    
;
cubesDraw    	  	
    	
cubesChangePalette
	ld a, 0
	or a
	jp z, cubesSkipSetPalette
	ld hl, cubesPalette
	call setColorTable
cubesSkipSetPalette
	ld a, 1
	ld ( cubesChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame  
    
    	ret

;
cubesPalette
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_14 ; background
	defb color_16 ; dark side
	defb color_0
	defb color_25 ; light side
	defb color_0
	defb color_0
	defb color_0
	defb color_7 ; lower
	defb color_15 ; front
	defb color_0
	defb color_0
	defb color_0