; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
dancing2
    	cp constInit
	jp nz, dancing2_test1
	call dancing2Init
	ret		
dancing2_test1
    	cp constUpdate
	jp nz, dancing2_test2
    	call dancing2Update
	ret
dancing2_test2
    	call dancing2Draw
	ret
    
;
dancing2Init
    	ld a, 15
	call setVideoIndex	
    	
	xor a
	ld ( dancing2ChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
dancing2Update
    	call updateFrameIndex
    	ret    
    
;
dancing2Draw
    	
dancing2ChangePalette
	ld a, 0
	or a
	jp z, dancing2SkipSetPalette
	ld hl, dancing2Palette
	call setColorTable
dancing2SkipSetPalette
	ld a, 1
	ld ( dancing2ChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
    	
    	ret

;
dancing2Palette
	defb color_7
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_4
	defb color_4