; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
fou
    	cp constInit
	jp nz, fou_test1
	call fouInit
	ret		
fou_test1
    	cp constUpdate
	jp nz, fou_test2
    	call fouUpdate
	ret
fou_test2
    	call fouDraw
	ret
    
;
fouInit
    	ld a, 0
	call setVideoIndex	
    	
	xor a
	ld ( fouChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
fouUpdate
    	call updateFrameIndex
    	ret    
    
;
fouDraw

fouChangePalette
	ld a, 0
	or a
	jp z, fouSkipSetPalette
	ld hl, fouPalette
	call setColorTable
fouSkipSetPalette
	ld a, 1
	ld ( fouChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
	
	ret

;
fouPalette
	defb color_7 ;;;;
	defb color_7 ;;;;
	defb color_25 ; top
	defb color_5 ; case 2
	defb color_4 ; side 1
	defb color_7 ;;;;
	defb color_7 ;;;;
	defb color_7 ;;;;
	defb color_7 ;;;;
	defb color_14 ; case 1
	defb color_7 ;;;;
	defb color_7 ;;;;
	defb color_7 ;;;;
	defb color_7 ;;;;
	defb color_7 ;;;;
	defb color_7 ; side to ground