; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
piliers
    	cp constInit
	jp nz, piliers_test1
	call piliersInit
	ret		
piliers_test1
    	cp constUpdate
	jp nz, piliers_test2
    	call piliersUpdate
	ret
piliers_test2
    	call piliersDraw
	ret
    
;
piliersInit
    	ld a, 1
	call setVideoIndex	
    	
	xor a
	ld ( piliersChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
piliersUpdate
    	call updateFrameIndex
    	ret    
    
;
piliersDraw
    	
piliersChangePalette
	ld a, 0
	or a
	jp z, piliersSkipSetPalette
	ld hl, piliersPalette
	call setColorTable
piliersSkipSetPalette
	ld a, 1
	ld ( piliersChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
    	
    	ret

;
piliersPalette
	defb color_7
	defb color_7
	defb color_7
	defb color_7
	defb color_7
	defb color_7
	defb color_25 ; piliers
	defb color_4 ; damier 2
	defb color_7
	defb color_7 ; damier 1
	defb color_25 ; ground pilier 2
	defb color_5 ; ground pilier 1
	defb color_7
	defb color_7
	defb color_7
	defb color_7