; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
sallefeu
    	cp constInit
	jp nz, sallefeu_test1
	call sallefeuInit
	ret		
sallefeu_test1
    	cp constUpdate
	jp nz, sallefeu_test2
    	call sallefeuUpdate
	ret
sallefeu_test2
    	call sallefeuDraw
	ret
    
;
sallefeuInit
    	ld a, 7
	call setVideoIndex	
    	
	xor a
	ld ( sallefeuChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
sallefeuUpdate
    	call updateFrameIndex
    	ret    
    
;
sallefeuDraw

sallefeuChangePalette
	ld a, 0
	or a
	jp z, sallefeuSkipSetPalette
	ld hl, sallefeuPalette
	call setColorTable
sallefeuSkipSetPalette
	ld a, 1
	ld ( sallefeuChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
	
	ret

;
sallefeuPalette
	defb color_3 ; colonne 1
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_4 ; mur
	defb color_0
	defb color_24 ; base socle
	defb color_6 ; colonne 2
	defb color_21 ; object
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	