; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
trip
    	cp constInit
	jp nz, trip_test1
	call tripInit
	ret		
trip_test1
    	cp constUpdate
	jp nz, trip_test2
    	call tripUpdate
	ret
trip_test2
    	call tripDraw
	ret
    
;
tripInit
    	ld a, 4
	call setVideoIndex	
    	
	xor a
	ld ( tripChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
tripUpdate
    	call updateFrameIndex
    	ret    
    
;
tripDraw    	
    	
tripChangePalette
	ld a, 0
	or a
	jp z, tripSkipSetPalette
	ld hl, tripPalette
	call setColorTable
tripSkipSetPalette
	ld a, 1
	ld ( tripChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
	
	ret

;
tripPalette
	defb color_yellow
	defb color_black
	defb color_black
	defb color_black
	defb color_blue
	defb color_blue
	defb color_blue
	defb color_blue
	defb color_cyan
	defb color_cyan
	defb color_cyan
	defb color_cyan
	defb color_brightwhite
	defb color_brightwhite
	defb color_brightwhite
	defb color_orange
	defb color_orange