/******************************************************************************
 * config.h - Configuration                                                   *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#ifndef _CONFIG_
#define _CONFIG_

/*---------------------------------------------------------------------------- PLATFORM */
#ifdef LINUX
#include "platform/os/linux/config.h"
#endif

#ifdef PS2
#include "platform/os/ps2/config.h"
#endif

#ifdef WIN32
#include "platform/os/win32/config.h"
#endif

/*---------------------------------------------------------------------------- TYPE */
#include "type.h"

/*---------------------------------------------------------------------------- MACRO */
#include "macro.h"

/*---------------------------------------------------------------------------- END OF DECLARATION */
#endif /* _CONFIG_ */
