/*
jfyeNG - a Newtek LightWave scene player
Copyright (C) 1998-2003  Arnaud STORQ a.k.a. No Recess/CONDENSE (norecess@planet-d.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/******************************************************************************
 * lwoparse.h - LWO Object Parser                                             *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#ifndef _LWO_PARSE_
#define _LWO_PARSE_

/*---------------------------------------------------------------------------- GLOBAL FUNCTIONS */
RESULT LwoParse(void (*progress)(INT32 i));

/*---------------------------------------------------------------------------- GLOBAL VARIABLES */
extern File *lwoFile;
extern Lwo *lwoCurr;
extern UINT8 *lwoPtr;
extern INT32 chunkID;
extern INT32 chunkSize;
extern INT32 subChunkID;
extern INT32 subChunkSize;
extern INT32 subSubChunkID;
extern INT32 subSubChunkSize;

/*---------------------------------------------------------------------------- END OF DECLARATION */
#endif /* _LWO_PARSE_ */