/******************************************************************************
 * font.h - Font                                                              *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#ifndef _FONT_
#define _FONT_

/*---------------------------------------------------------------------------- FONT */
typedef struct Font
{
    void *data;
	UINT8 charSet[256];

	INT32 charWidth;
    INT32 charHeight;

	INT32 width;
    INT32 height;
} Font;

/*---------------------------------------------------------------------------- GLOBAL FUNCTIONS */
RESULT FontInit(void);
RESULT FontFree(void);

Font *FontGet(void);

void FontDisplayText(INT32 x, INT32 y, INT8 *msg);

/*---------------------------------------------------------------------------- END OF DECLARATION */
#endif /* _FONT_ */