/******************************************************************************
 * settings.h - Settings                                                      *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#ifndef _SETTINGS_
#define _SETTINGS_

/*---------------------------------------------------------------------------- ENUMS */
typedef enum
{
	SETTINGS_KEY_LW_PATH = 0,
	SETTINGS_KEY_SCENE_PATH = 1,
	SETTINGS_KEY_AUDIO_PATH = 2,
    SETTINGS_KEY_RESOLUTION = 3,
    SETTINGS_KEY_FULLSCREEN = 4,
	SETTINGS_KEY_BILINEAR = 5
} SettingsKey;

/*---------------------------------------------------------------------------- GLOBAL FUNCTIONS */
void SettingsGetValue(SettingsKey key, INT8 *buffer);
void SettingsSetValue(SettingsKey key, const INT8 *value);

/*---------------------------------------------------------------------------- END OF DECLARATION */
#endif /* _SETTINGS_ */
