/*
jfyeNG - a Newtek LightWave scene player
Copyright (C) 1998-2003  Arnaud STORQ a.k.a. No Recess/CONDENSE (norecess@planet-d.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <config.h>
/******************************************************************************
 * lwodrawstate.c - LWO Object State Enabler                                  *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#include "platform/renderer/matrix.h"
#include "system/file.h"
#include "texture/tex.h"
#include "lightwave/lwo/lwo.h"
#include "platform/renderer/lwodraw.h"
#include "platform/renderer/lwodrawstate.h"

/*---------------------------------------------------------------------------- BEGIN STATE */
void
LwoBeginState(Lwo *lwo, INT32 surf, RenderType renderType)
{    
	lwo = NULL;
	surf = 0;
	renderType = RenderOpacity;
}

/*---------------------------------------------------------------------------- END STATE */
void
LwoEndState(Lwo *lwo, INT32 surf)
{
	lwo = NULL;
	surf = 0;
}





















