/*
jfyeNG - a Newtek LightWave scene player
Copyright (C) 1998-2003  Arnaud STORQ a.k.a. No Recess/CONDENSE (norecess@planet-d.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/******************************************************************************
 * soft.h - Software                                                          *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#ifndef _SOFT_
#define _SOFT_

/*---------------------------------------------------------------------------- STRUCT */
typedef struct Vertex
{
    FLOAT32 x;
    FLOAT32 y;    
    FLOAT32 z;
	FLOAT32 q;

    FLOAT32 u;
    FLOAT32 v;
    FLOAT32 nx;
    FLOAT32 ny;

    FLOAT32 nz;
	BOOL skip;	
	INT32 precaCount;
	INT32 _pad0;
} Vertex;

/*---------------------------------------------------------------------------- END OF DECLARATION */
#endif /* _SOFT_ */