/******************************************************************************
 * file.h - File I/O                                                          *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#ifndef _FILE_
#define _FILE_

/*---------------------------------------------------------------------------- STRUCT */
typedef struct File
{
    INT8 fileName[STR_DEFAULT_SIZE];
    INT32 size;
    INT8 *buffer;
} File;

/*---------------------------------------------------------------------------- GLOBAL FUNCTIONS */
RESULT FileLoad(File *file, INT8 *fileName);
RESULT FileWrite(File *file);
RESULT FileFree(File *file);

/*---------------------------------------------------------------------------- END OF DECLARATION */
#endif /* _FILE_ */