; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
dancing
    	cp constInit
	jp nz, dancing_test1
	call dancingInit
	ret		
dancing_test1
    	cp constUpdate
	jp nz, dancing_test2
    	call dancingUpdate
	ret
dancing_test2
    	call dancingDraw
	ret
    
;
dancingInit
    	ld a, 5
	call setVideoIndex	
    	
	xor a
	ld ( dancingChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
dancingUpdate
    	call updateFrameIndex
    	ret    
    
;
dancingDraw
    	
dancingChangePalette
	ld a, 0
	or a
	jp z, dancingSkipSetPalette
	ld hl, dancingPalette
	call setColorTable
dancingSkipSetPalette
	ld a, 1
	ld ( dancingChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
    	
    	ret

;
dancingPalette
	defb color_10
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_25
	defb color_25