; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
msg1
    	cp constInit
	jp nz, msg1_test1
	call msg1Init
	ret		
msg1_test1
    	cp constUpdate
	jp nz, msg1_test2
    	call msg1Update
	ret
msg1_test2
    	call msg1Draw
	ret
    
;
msg1Init
    	ld a, 12
	call setVideoIndex	
    	
	xor a
	ld ( msg1ChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
msg1Update
    	call updateFrameIndex
    	ret    
    
;
msg1Draw    	
    	
msg1ChangePalette
	ld a, 0
	or a
	jp z, msg1SkipSetPalette
	ld hl, msg1Palette
	call setColorTable
msg1SkipSetPalette
	ld a, 1
	ld ( msg1ChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
	
	ret

;
msg1Palette	
	defb creditColor0_3
	defb creditColor1_3
	defb creditColor2_3
	defb creditColor3_3
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0