; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
msg3
    	cp constInit
	jp nz, msg3_test1
	call msg3Init
	ret		
msg3_test1
    	cp constUpdate
	jp nz, msg3_test2
    	call msg3Update
	ret
msg3_test2
    	call msg3Draw
	ret
    
;
msg3Init
    	ld a, 14
	call setVideoIndex	
    	
	xor a
	ld ( msg3ChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
msg3Update
    	call updateFrameIndex
    	ret    
    
;
msg3Draw    	
    	
msg3ChangePalette
	ld a, 0
	or a
	jp z, msg3SkipSetPalette
	ld hl, msg3Palette
	call setColorTable
msg3SkipSetPalette
	ld a, 1
	ld ( msg3ChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
	
	ret

;
msg3Palette	
	defb creditColor0_3
	defb creditColor1_3
	defb creditColor2_3
	defb creditColor3_3
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0
	defb color_0