; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
phat2
    	cp constInit
	jp nz, phat2_test1
	call phat2Init
	ret		
phat2_test1
    	cp constUpdate
	jp nz, phat2_test2
    	call phat2Update
	ret
phat2_test2
    	call phat2Draw
	ret
    
;
phat2Init
    	ld a, 3
	call setVideoIndex	
    	
	xor a
	ld ( phat2ChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
phat2Update
    	call updateFrameIndex
    	ret    
    
;
phat2Draw    	
    	
phat2ChangePalette
	ld a, 0
	or a
	jp z, phat2SkipSetPalette
	ld hl, phat2Palette
	call setColorTable
phat2SkipSetPalette
	ld a, 1
	ld ( phat2ChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
	
	ret

;
phat2Palette
	defb color_0
	defb color_black
	defb color_skyblue
	defb color_black
	defb color_black
	defb color_black
	defb color_black
	defb color_black
	defb color_black
	defb color_black
	defb color_26
	defb color_26
	defb color_26
	defb color_26
	defb color_26
	defb color_26
	defb color_7