; phat2 - norecess.condense
    
; IN a = constInit or constIsEnded or constUpdate or constDraw
; OUT if constUpdate a <> 0 part is ended
transit
    	cp constInit
	jp nz, transit_test1
	call transitInit
	ret		
transit_test1
    	cp constUpdate
	jp nz, transit_test2
    	call transitUpdate
	ret
transit_test2
    	call transitDraw
	ret
    
;
transitInit
    	ld a, 6
	call setVideoIndex	
    	
	xor a
	ld ( transitChangePalette + 1 ), a

	ret
    
; OUT a <> 0 part is ended
transitUpdate
    	call updateFrameIndex
	or a
	jp z, transitQuitUpdate
	ld a, ( paletteInc + 1 )
	inc a
	ld ( paletteInc + 1 ), a
transitQuitUpdate
    	ret    
    
;
transitDraw

transitChangePalette
	ld a, 0
	or a
	jp z, transitSkipSetPalette
paletteInc
	ld a, 0
	add a, a
	ld c, a
	ld b, 0
	ld hl, transitPalette
	add hl, bc
	ld a, ( hl )
	or a
	jp nz, transitSetPalette
	xor a
	ld ( paletteInc + 1 ), a
	jp paletteInc
transitSetPalette
	push hl
	ld c, pen_0
	call setColor
	pop hl
	inc hl
	ld a, ( hl )
	ld c, pen_15
	call setColor
transitSkipSetPalette
	ld a, 1
	ld ( transitChangePalette + 1 ), a

	call getFrameIndex
	call drawFrame
    	
    	ret

;
transitPalette
	defb color_7
	defb color_4

	defb color_4
	defb color_14

	defb color_14
	defb color_16

	defb color_16
	defb color_10

	defb 0