/*
jfyeNG - a Newtek LightWave scene player
Copyright (C) 1998-2003  Arnaud STORQ a.k.a. No Recess/CONDENSE (norecess@planet-d.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/******************************************************************************
 * lwsparse.h - LWS Scene Parser                                              *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#ifndef _LWS_PARSE_
#define _LWS_PARSE_

/*---------------------------------------------------------------------------- GLOBAL FUNCTIONS */
RESULT LwsParse(void (*progress)(INT32 i));

/*---------------------------------------------------------------------------- GLOBAL VARIABLES */
UINT8 *lwsPtr;
INT8 *lwsLinePtr;
INT8 lwsLine[STR_DEFAULT_SIZE];
INT8 cmd[STR_DEFAULT_SIZE];
INT8 param1[STR_DEFAULT_SIZE];
INT8 param2[STR_DEFAULT_SIZE];
INT8 param3[STR_DEFAULT_SIZE];
INT8 param4[STR_DEFAULT_SIZE];
INT8 param5[STR_DEFAULT_SIZE];
INT8 param6[STR_DEFAULT_SIZE];
INT8 param7[STR_DEFAULT_SIZE];
INT8 param8[STR_DEFAULT_SIZE];
INT8 param9[STR_DEFAULT_SIZE];
INT8 param10[STR_DEFAULT_SIZE];
INT32 paramsCount;

/*---------------------------------------------------------------------------- END OF DECLARATION */
#endif /* _LWS_PARSE_ */
