/******************************************************************************
 * math.h - Mathematics                                                       *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#ifndef _MATH_
#define _MATH_

/*---------------------------------------------------------------------------- GLOBAL FUNCTIONS */
void MathInit(void);

INT32 MathAbs(INT32 value);
FLOAT32 MathFabs(FLOAT32 value);
FLOAT32 MathCos(FLOAT32 value);
FLOAT32 MathSin(FLOAT32 value);
FLOAT32 MathSqrt(FLOAT32 value);
FLOAT32 MathFloor(FLOAT32 value);
FLOAT32 MathAtan(FLOAT32 value);
FLOAT32 MathAtan2(FLOAT32 value1, FLOAT32 value2);

/*---------------------------------------------------------------------------- END OF DECLARATION */
#endif /* _MATH_ */