/******************************************************************************
 * timer.h - Timer                                                            *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#ifndef _TIMER_
#define _TIMER_

#ifdef PS2
#else
#ifdef WIN32
    #include <windows.h>
#else
    #include <sys/time.h>
    #include <unistd.h>
#endif
#endif

/*---------------------------------------------------------------------------- GLOBAL FUNCTIONS */
RESULT TimerInit(void);
INT32 TimerGetTime(void);

/*---------------------------------------------------------------------------- END OF DECLARATION */
#endif /* _TIMER_ */