/*
jfyeNG - a Newtek LightWave scene player
Copyright (C) 1998-2003  Arnaud STORQ a.k.a. No Recess/CONDENSE (norecess@planet-d.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <config.h>
/******************************************************************************
 * lwsdrawlight.c - LWS Scene light manager                                   *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#include "platform/renderer/matrix.h"
#include "lightwave/lws/lwsinterp.h"
#include "platform/renderer/lwsdrawlight.h"

/*---------------------------------------------------------------------------- AMBIENT SET */
void 
LightAmbientSet(float r, float g, float b, float intens)
{
    FLOAT32 t[4];
    
    t[0] = r*intens;
    t[1] = g*intens;
    t[2] = b*intens;
    t[3] = 1.0f;
}

/*---------------------------------------------------------------------------- ENABLE */
RESULT
LightEnable(Light *light)
{
    if (light==NULL)
    {
        return ERR_INVALID_PTR;
    }

    return OK;
}

/*---------------------------------------------------------------------------- DISABLE */
RESULT
LightDisable(Light *light)
{
    if (light==NULL)
    {
        return ERR_INVALID_PTR;
    }

    return OK;
}





















