/*
jfyeNG - a Newtek LightWave scene player
Copyright (C) 1998-2003  Arnaud STORQ a.k.a. No Recess/CONDENSE (norecess@planet-d.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/******************************************************************************
 * softtransfproj.h - Software Transformations Projection                     *
 ******************************************************************************
 * Project      : jfyeNG                                                      *
 * Author       : Arnaud Storq (norecess@planet-d.net)                        *
 ******************************************************************************/
#ifndef _SOFT_TRANSF_PROJ_
#define _SOFT_TRANSF_PROJ_

/*---------------------------------------------------------------------------- GLOBAL FUNCTIONS */
void SoftTransfProjectionInit(BOOL texture);
void SoftTransfDoProjection(Vertex *dst, INT32 dstPad, Vertex *src, INT32 srcPad, INT32 count);
void SoftTransfDoVertexProjection(Vertex *dst, INT32 dstPad);

/*---------------------------------------------------------------------------- END OF DECLARATION */
#endif /* _SOFT_TRANSF_PROJ_ */