// ArchiverDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Archiver.h"
#include "ArchiverDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CArchiverDlg dialog

CArchiverDlg::CArchiverDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CArchiverDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CArchiverDlg)
	m_szArchiveSize = _T("");
	m_autoExtraction = FALSE;
	m_overwrite = FALSE;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CArchiverDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CArchiverDlg)
	DDX_Control(pDX, IDC_FILELIST, m_FileList);
	DDX_Text(pDX, IDC_ARCHIVESIZE, m_szArchiveSize);
	DDX_Check(pDX, IDC_AUTOMATIC_EXTRACTION, m_autoExtraction);
	DDX_Check(pDX, IDC_OVERWRITE, m_overwrite);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CArchiverDlg, CDialog)
	//{{AFX_MSG_MAP(CArchiverDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_ABOUT, OnAbout)
	ON_BN_CLICKED(IDC_ADD, OnAdd)
	ON_BN_CLICKED(IDC_REMOVE, OnRemove)
	ON_COMMAND(IDM_EXIT, OnExit)
	ON_COMMAND(IDM_LOAD, OnLoad)
	ON_COMMAND(IDM_SAVE, OnSave)
	ON_BN_CLICKED(IDC_EXTRACT, OnExtract)
	ON_BN_CLICKED(IDC_OVERWRITE, OnOverwrite)
	ON_COMMAND(IDM_ADD, OnAdd)
	ON_COMMAND(IDM_REMOVE, OnRemove)
	ON_COMMAND(IDM_ABOUT, OnAbout)
	ON_BN_CLICKED(IDC_LOAD, OnLoad)
	ON_BN_CLICKED(IDC_SAVE, OnSave)
	ON_COMMAND(IDM_EXTRACT, OnExtract)
	ON_BN_CLICKED(IDC_AUTOMATIC_EXTRACTION, OnAutomaticExtraction)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CArchiverDlg message handlers

BOOL CArchiverDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	RECT rect;
	DWORD size;
	m_FileList.GetWindowRect(&rect);
	ScreenToClient(&rect);	
	size = rect.right-rect.left;
	m_FileList.InsertColumn(0,"file path",LVCFMT_LEFT,(int)(size*0.666),0);
	m_FileList.InsertColumn(1,"packed size",LVCFMT_LEFT,(int)(size*0.15),0);
    m_FileList.InsertColumn(2,"raw size",LVCFMT_LEFT,(int)(size*0.15),0);

	strcpy(CurrentAddFileDir, "C:\\");
	strcpy(CurrentLoadArchiveDir, "C:\\");
	strcpy(CurrentSaveArchiveDir, "C:\\");

	m_autoExtraction = TRUE;
	m_overwrite = TRUE;

	UpdateDialog();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CArchiverDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CArchiverDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CArchiverDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CArchiverDlg::OnAbout() 
{
	// TODO: Add your control notification handler code here
	CAboutDlg dlgAbout;
	dlgAbout.DoModal();
}

void CArchiverDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	if (MessageBox("Are you sure to exit jfyeNGArchiver ?", "Confirmation", MB_YESNO | MB_ICONWARNING) == IDYES)
	{
		CDialog::OnCancel();
	}
}

void CArchiverDlg::OnAdd() 
{
	// TODO: Add your control notification handler code here
	POSITION posNextFile;
	CString szFile;
	CString szMessage;
	ARCHIVEINFO ArchiveInfo;
	BOOL blIdentical;
	char openString[4096];
	char cmpString[4096];
	int iItem;

	*openString = NULL; // just the first byte is initialized (string)

	CFileDialog fileDlg(TRUE,
						"*.PRK;*.LWS;*.LWO;*.JPG;*.TGA;*.MOD;*.S3M;*.XM;*.IT;*.MID;*.RMI;*.SGT;*.WAV;*.MP2;*.MP3;*.OGG;*.WMA;*.ASF", 
						NULL, 
						OFN_PATHMUSTEXIST |
					    OFN_FILEMUSTEXIST |
					    OFN_ALLOWMULTISELECT |
				        OFN_HIDEREADONLY |
                        OFN_EXPLORER,
						"All jfyeNG supported files|*.PRK;*.LWS;*.LWO;*.JPG;*.TGA;*.MOD;*.S3M;*.XM;*.IT;*.MID;*.RMI;*.SGT;*.WAV;*.MP2;*.MP3;*.OGG;*.WMA;*.ASF||",
						this->GetSafeOwner());

	fileDlg.m_ofn.lpstrTitle = "Add file";
	fileDlg.m_ofn.lpstrInitialDir = CurrentAddFileDir;
	fileDlg.m_ofn.lpstrFile = openString;
	fileDlg.m_ofn.nMaxFile = 4096;
	
	if(fileDlg.DoModal() == IDOK)
	{	
		UpdateWindow();

		posNextFile = fileDlg.GetStartPosition();
		
		while (posNextFile)
		{
			szFile = fileDlg.GetNextPathName(posNextFile);
	
			blIdentical = FALSE;
			for(iItem=0; iItem<m_FileList.GetItemCount(); iItem++)
			{
				m_FileList.GetItemText(iItem, 0, (char*)&cmpString, 4096);
				if (strcmp((char*)&cmpString, szFile.GetBuffer(4096)) == 0)
				{
					blIdentical = TRUE;
				}
			}

			if (blIdentical == TRUE)
			{
				szMessage.Format("%s", cmpString);
				szMessage.MakeUpper();
				szMessage += "\n\nThis file is already present in the file list !";
					
				MessageBox(szMessage.GetBuffer(1024), "Error while adding a file", MB_ICONERROR);
			}
			else
			{
				// add file to archive
				if (Archive.AddFile(szFile.GetBuffer(4096)) != ARCHIVE_OK)
				{
					MessageBox("Something went wrong with the archiver.\nIt could be due to a lack of memory, a file which can't be opened or invalid parameters..", "Error while adding a file", MB_ICONERROR);
				}
				else
				{
					Archive.GetFileInfo(0, &ArchiveInfo);
					
					AddFileList(&ArchiveInfo);

                    GetDirectoryFromFilename(CurrentAddFileDir, szFile.GetBuffer(4096));

                    UpdateDialog();
				}
			}
		}
	}

	UpdateDialog();
}

void CArchiverDlg::OnRemove() 
{
	// TODO: Add your control notification handler code here
	int iItem;
	char removeFile[4096];
	
	if (m_FileList.GetItemCount() == 0)
	{
		MessageBox("The file list is empty !", "Error while removing a file", MB_ICONERROR);	
	}
	else
	{
		iItem = m_FileList.GetNextItem(-1,LVNI_SELECTED);
	
		if (iItem == -1)
		{
			MessageBox("You have to select a file !", "Error while removing a file", MB_ICONERROR);	
		}
		else
		{
			if (MessageBox("Are you sure to remove the selection from the archive ?", "Confirmation", MB_YESNO | MB_ICONWARNING) == IDYES)
			{
				while (iItem != -1)
				{
					m_FileList.GetItemText(iItem, 0, (char*)&removeFile, 4096);		
					m_FileList.DeleteItem(iItem);
					
					// remove file from archive
					if (Archive.RemoveFile(removeFile) != ARCHIVE_OK)
					{
						MessageBox("Something went wrong with the archiver.\nIt could be due to a lack of memory, a file which can't be opened or invalid parameters..", "Error while removing a file", MB_ICONERROR);
					}

					iItem = m_FileList.GetNextItem(-1,LVNI_SELECTED);	
				}
			}
		}
	}

	UpdateDialog();
}

void CArchiverDlg::OnExit() 
{
	// TODO: Add your command handler code here
	OnCancel();
}

void CArchiverDlg::OnLoad() 
{
	// TODO: Add your command handler code here
	DWORD loop;
	ARCHIVEINFO ArchiveInfo;
	char openString[4096];

	*openString = NULL; // just the first byte is initialized (string)

	CFileDialog fileDlg(TRUE,
						"*.JNG", 
						NULL, 
						OFN_PATHMUSTEXIST |
					    OFN_FILEMUSTEXIST |
					    OFN_HIDEREADONLY |
                        OFN_EXPLORER,
						"jfyeNG archive file (*.JNG)|*.JNG||\0",
						this->GetSafeOwner());

	fileDlg.m_ofn.lpstrTitle = "Load archive...";
	fileDlg.m_ofn.lpstrInitialDir = CurrentLoadArchiveDir;
	fileDlg.m_ofn.lpstrFile = openString;
	fileDlg.m_ofn.nMaxFile = 4096;
	
	if(fileDlg.DoModal() == IDOK)
	{
		GetDirectoryFromFilename(CurrentLoadArchiveDir, openString);
		strcpy(CurrentSaveArchiveDir, CurrentLoadArchiveDir);

		if (Archive.Load(openString) != ARCHIVE_OK)
		{
			MessageBox("Something went wrong with the archiver.\nIt could be due to a lack of memory, a file which can't be opened or invalid parameters..", "Error while opening an archive", MB_ICONERROR);
		}
		else
		{
			m_FileList.DeleteAllItems();
			for(loop=0; loop<Archive.GetFileCount(); loop++)
			{
				Archive.GetFileInfo(loop, &ArchiveInfo);
				
				AddFileList(&ArchiveInfo);
			}

			UpdateDialog();
	
			MessageBox("Archive loaded !", "Load archive", MB_ICONINFORMATION);
		}
	}
}

void CArchiverDlg::OnSave() 
{
	// TODO: Add your command handler code here
	char openString[4096];

	if (m_FileList.GetItemCount() == 0)
	{
		MessageBox("The file list is empty !", "Error while saving an archive", MB_ICONERROR);	
	}
	else
	{
		*openString = NULL; // just the first byte is initialized (string)

		CFileDialog fileDlg(FALSE,
							"*.JNG", 
							NULL, 
							OFN_PATHMUSTEXIST |
							OFN_FILEMUSTEXIST |
							OFN_HIDEREADONLY |
							OFN_EXPLORER,
							"jfyeNG archive file (*.JNG)|*.JNG||\0",
							this->GetSafeOwner());

		fileDlg.m_ofn.lpstrTitle = "Save archive...";
		fileDlg.m_ofn.lpstrInitialDir = CurrentSaveArchiveDir;
		fileDlg.m_ofn.lpstrFile = openString;
		fileDlg.m_ofn.nMaxFile = 4096;
		
		if(fileDlg.DoModal() == IDOK)
		{
			GetDirectoryFromFilename(CurrentSaveArchiveDir, openString);

			if (Archive.Save(openString) != ARCHIVE_OK)
			{
				MessageBox("Something went wrong with the archiver.\nIt could be due to a lack of memory, a file which can't be opened or invalid parameters..", "Error while saving an archive", MB_ICONERROR);
			}
			else
			{
				MessageBox("Archive saved !", "Save archive", MB_ICONINFORMATION);
			}
		}
	}
}

void CArchiverDlg::OnExtract() 
{
	// TODO: Add your control notification handler code here
	CString szMessage;
	POSITION posNextItem;
	char openString[4096];
	char currDir[4096];
	char dirToMake[4096];
	char prevfilename[4096], filename[4096];
	int iItem;
	int pos, oldPos;
	bool cont;
	bool skip;
	int res;
	FILE *handle;

	UpdateData(TRUE);
	
	if (m_FileList.GetItemCount() == 0)
	{
		MessageBox("The file list is empty !", "Error while extracting a file", MB_ICONERROR);	
	}
	else
	{
		*openString = NULL; // just the first byte is initialized (string)
		
		CFileDialog fileDlg(FALSE,
							"*.*", 
							NULL, 
							OFN_EXPLORER,
							"All files (*.*)|*.*||\0",
							this->GetSafeOwner());

		fileDlg.m_ofn.lpstrTitle = "Extract file...";
		
		posNextItem = m_FileList.GetFirstSelectedItemPosition();
		
		if (!posNextItem)
		{
			MessageBox("There is no file selected into the file list !", "Error while extracting a file", MB_ICONERROR);	
		}
		else
		{
			iItem = m_FileList.GetNextSelectedItem(posNextItem);
				
			do
			{
				m_FileList.GetItemText((int)iItem, 0, (char*)&filename, 4096);
				strcpy(prevfilename, filename);
		
				GetDirectoryFromFilename(currDir, filename);
				
				fileDlg.m_ofn.lpstrInitialDir = currDir;
				fileDlg.m_ofn.lpstrFile = filename;
				fileDlg.m_ofn.nMaxFile = 4096;

				if (!m_autoExtraction)
				{
					res = fileDlg.DoModal();
				}
				else
				{
					res = IDOK;
				}

				if(res == IDOK)
				{
					if (!m_overwrite)
					{
						handle = fopen(filename, "rb");
						
						if (handle==NULL)
						{
							skip = FALSE;
						}
						else
						{
							CString sz;
							
							fclose(handle);

							sz.Format("%s already exist.", filename);
							sz += "\n\n";
							sz += "Are you sure to overwrite this file ?";

							if (MessageBox(sz.GetBuffer(1024), "Confirmation", MB_YESNO | MB_ICONWARNING) == IDYES)
							{
								skip = TRUE;
							}
							else
							{
								skip = FALSE;
							}
						}
					}
					else
					{
						skip = FALSE;
					}
		
					UpdateWindow();

					if (skip == FALSE)
					{
						cont = true;

						pos = 3;
						
						while (cont==true)
						{
							strcpy(dirToMake, currDir);

							cont = false;

							oldPos = pos;
							
							while (pos!=(int) strlen(currDir))
							{
								if (dirToMake[pos]=='\\')
								{
									cont = true;
								}
									 
								pos++;
							}

							pos = oldPos;
							
							while (dirToMake[pos]!='\\')
							{
								pos++;
							}
							dirToMake[pos] = 0;

							CreateDirectory(dirToMake, NULL);

							pos++;
						}

						// extract file from archive
						if (Archive.ExtractFile(prevfilename, filename) != ARCHIVE_OK)
						{
							MessageBox("Something went wrong with the archiver.\nIt could be due to a lack of memory, a file which can't be opened or invalid parameters..", "Error while extracting a file", MB_ICONERROR);
						}
					}
				}
				else
				{
					szMessage.Format("%s", filename);
					szMessage.MakeUpper();
					szMessage += "\n\nThe extraction of this file has been cancelled.";
					
					MessageBox(szMessage.GetBuffer(1024), "Extract file", MB_ICONWARNING);
				}

				iItem = m_FileList.GetNextSelectedItem(posNextItem);

			} while (iItem != -1);
		}

		if (m_autoExtraction)
		{
			MessageBox("Operation finished !", "Extract...", MB_ICONINFORMATION);
		}
	}	
}

void CArchiverDlg::UpdateDialog()
{
	if (Archive.GetSize()>=1024)
    {
        m_szArchiveSize.Format("%d Kb", (Archive.GetSize()/1024)+1);
	}
    else
    {
        m_szArchiveSize.Format("%d bytes", Archive.GetSize());
    }

	UpdateData(FALSE);
}

void CArchiverDlg::AddFileList(ARCHIVEINFO *pArchiveInfo)
{
	CString szTemp;
	
	LVITEM lvItem;
	lvItem.mask = LVIF_PARAM|LVIF_TEXT;
	lvItem.iSubItem = 0;
	lvItem.cchTextMax = 127;
	lvItem.iItem = m_FileList.GetItemCount();
	lvItem.lParam = 0;
	lvItem.pszText = pArchiveInfo->szFilename;
	m_FileList.InsertItem(&lvItem);

	if (pArchiveInfo->PackedSize==0)
    {
        szTemp = "no";
	    m_FileList.SetItemText(lvItem.iItem,1,szTemp.GetBuffer(4096));
    }
    else
    {
        if (pArchiveInfo->PackedSize>=1024)
        {
            szTemp.Format("%d Kb", (pArchiveInfo->PackedSize/1024)+1);
        }
        else
        {
            szTemp.Format("%d bytes", pArchiveInfo->PackedSize);
        }
	    m_FileList.SetItemText(lvItem.iItem,1,szTemp.GetBuffer(4096));
    }
    
    if (pArchiveInfo->RawSize>=1024)
    {
        szTemp.Format("%d Kb", (pArchiveInfo->RawSize/1024)+1);
	}
    else
    {
        szTemp.Format("%d bytes", pArchiveInfo->RawSize);
    }
    
	m_FileList.SetItemText(lvItem.iItem,2,szTemp.GetBuffer(4096));
}

void CArchiverDlg::GetDirectoryFromFilename(char *szCurrentDir, char *szString)
{
	DWORD pos;
	
	strcpy(szCurrentDir, szString);
	pos = strlen(szCurrentDir)-4;
	while (szCurrentDir[pos] != '\\') pos--;
	szCurrentDir[pos] = 0;
}

void CArchiverDlg::OnOverwrite() 
{
	// TODO: Add your control notification handler code here
}

void CArchiverDlg::OnAutomaticExtraction() 
{
	// TODO: Add your control notification handler code here
}