// ArchiverDlg.h : header file
//

#if !defined(AFX_ARCHIVERDLG_H__749A1200_1297_40BF_BF49_040E615755E8__INCLUDED_)
#define AFX_ARCHIVERDLG_H__749A1200_1297_40BF_BF49_040E615755E8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Arc.h"

/////////////////////////////////////////////////////////////////////////////
// CArchiverDlg dialog

class CArchiverDlg : public CDialog
{
// Construction
public:
	CArchiverDlg(CWnd* pParent = NULL);	// standard constructor
	char CurrentAddFileDir[4096];
	char CurrentLoadArchiveDir[4096];
	char CurrentSaveArchiveDir[4096];
	CArchiver Archive;

// Dialog Data
	//{{AFX_DATA(CArchiverDlg)
	enum { IDD = IDD_ARCHIVER_DIALOG };
	CListCtrl	m_FileList;
	CString	m_szArchiveSize;
	BOOL	m_autoExtraction;
	BOOL	m_overwrite;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CArchiverDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	void UpdateDialog();
	void AddFileList(ARCHIVEINFO *pArchiveInfo);
	void GetDirectoryFromFilename(char *szCurrentDir, char *szString);

	// Generated message map functions
	//{{AFX_MSG(CArchiverDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAbout();
	virtual void OnCancel();
	afx_msg void OnAdd();
	afx_msg void OnRemove();
	afx_msg void OnExit();
	afx_msg void OnLoad();
	afx_msg void OnSave();
	afx_msg void OnExtract();
	afx_msg void OnOverwrite();
	afx_msg void OnAutomaticExtraction();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ARCHIVERDLG_H__749A1200_1297_40BF_BF49_040E615755E8__INCLUDED_)
